commit:     ba61a592f0b27107872484bfbf58d0a7204e37a8
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 16 08:39:49 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Oct 16 08:49:56 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba61a592

media-gfx/metapixel: Fix giflib-5 building (#571934)

Package-Manager: portage-2.3.1

 .../metapixel/files/metapixel-1.0.2-giflib5.patch  | 21 ++++++++++
 .../metapixel/files/metapixel-1.0.2-libpng15.patch |  4 +-
 media-gfx/metapixel/metapixel-1.0.2-r1.ebuild      | 45 ++++++++++++++++++++++
 3 files changed, 68 insertions(+), 2 deletions(-)

diff --git a/media-gfx/metapixel/files/metapixel-1.0.2-giflib5.patch 
b/media-gfx/metapixel/files/metapixel-1.0.2-giflib5.patch
new file mode 100644
index 00000000..b543dc4
--- /dev/null
+++ b/media-gfx/metapixel/files/metapixel-1.0.2-giflib5.patch
@@ -0,0 +1,21 @@
+diff -u metapixel-1.0.2/debian/changelog metapixel-1.0.2/debian/changelog
+--- metapixel-1.0.2.orig/rwimg/rwgif.c
++++ metapixel-1.0.2/rwimg/rwgif.c
+@@ -54,7 +54,7 @@
+     
+     assert(data != 0);
+     
+-    data->file = DGifOpenFileName(filename);
++    data->file = DGifOpenFileName(filename, NULL);
+     
+     assert(data->file !=0);
+         
+@@ -137,7 +137,7 @@
+     }
+     free(buffer);
+     
+-    assert(DGifCloseFile(data->file) == GIF_OK);
++    assert(DGifCloseFile(data->file, NULL) == GIF_OK);
+     
+     return data;
+ }

diff --git a/media-gfx/metapixel/files/metapixel-1.0.2-libpng15.patch 
b/media-gfx/metapixel/files/metapixel-1.0.2-libpng15.patch
index 988437d..f766fb1 100644
--- a/media-gfx/metapixel/files/metapixel-1.0.2-libpng15.patch
+++ b/media-gfx/metapixel/files/metapixel-1.0.2-libpng15.patch
@@ -1,5 +1,5 @@
---- rwimg/rwpng.c
-+++ rwimg/rwpng.c
+--- a/rwimg/rwpng.c
++++ b/rwimg/rwpng.c
 @@ -42,6 +42,7 @@
  open_png_file_reading (const char *filename, int *width, int *height)
  {

diff --git a/media-gfx/metapixel/metapixel-1.0.2-r1.ebuild 
b/media-gfx/metapixel/metapixel-1.0.2-r1.ebuild
new file mode 100644
index 00000000..43e9ad5
--- /dev/null
+++ b/media-gfx/metapixel/metapixel-1.0.2-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit toolchain-funcs
+
+DESCRIPTION="a program for generating photomosaics"
+HOMEPAGE="http://www.complang.tuwien.ac.at/schani/metapixel";
+SRC_URI="http://www.complang.tuwien.ac.at/schani/${PN}/files/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+       dev-lang/perl
+       >=media-libs/giflib-5:0=
+       >=media-libs/libpng-1.4:0=
+       virtual/jpeg:0
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-libpng15.patch
+       "${FILESDIR}"/${P}-giflib5.patch
+)
+
+src_prepare() {
+       default
+
+       sed -i -e 's:/usr/X11R6:/usr:g' Makefile || die
+       sed -i -e 's:ar:$(AR):' rwimg/Makefile || die
+}
+
+src_compile() {
+       emake AR="$(tc-getAR)" CC="$(tc-getCC)" OPTIMIZE="${CFLAGS}" 
LDOPTS="${LDFLAGS}"
+}
+
+src_install() {
+       dobin ${PN}{,-prepare,-imagesize,-sizesort}
+       doman ${PN}.1
+       dodoc NEWS README
+}

Reply via email to